import { OnInit } from '@angular/core';
import { Icon } from '../../enum/icon.enum';
import { TransactionLineBaseComponent } from '../core/base/transaction-line-base.component';
export declare class TransactionLineWarehouseButtonComponent extends TransactionLineBaseComponent implements OnInit {
    readonly icons: typeof Icon;
    inputLabel: boolean;
    showClass(): boolean;
    showDialogWarehouse: boolean;
    handleShowDialog(event: MouseEvent): Promise<void>;
    protected transactionLineSet(): void;
    protected visibilitySet(): void;
    private _getWarehouseDescription;
}
